@import "../../vars";

/* .root {} */

.select {
  color: $matterColorAnti;
  cursor: pointer;
  font-size: 16px;
  font-weight: 400;
  border: 0;
  border-bottom: 0.5px solid #000000;
  margin: 10px 0 0;
  padding: 4px 20px 10px 0;
  width: 100%;
  background-image: url('data:image/svg+xml;utf8,<svg width="14" height="9" viewBox="0 0 14 9" xmlns="http://www.w3.org/2000/svg"><path d="M6.53 7.472c.26.26.68.26.94 0l5.335-5.333c.26-.263.26-.684 0-.944-.26-.26-.683-.26-.943 0L7 6.056l-4.862-4.86c-.26-.26-.683-.26-.943 0-.26.26-.26.68 0 .943L6.53 7.47z" stroke="%234A4A4A" fill="%234A4A4A" fill-rule="evenodd"/></svg>');
  background-size: 16px 16px;
  background-position: center right;
  background-repeat: no-repeat;

  & > option {
    color: $matterColor;
  }

  & > option:disabled {
    color: $matterColorAnti;
  }

  &:disabled {
    border-bottom-color: $matterColorNegative;
    color: $matterColorNegative;
    cursor: default;
  }
}

.selectSuccess {
  color: $matterColor;
  border-bottom-color: $successColor;
}

.selectError {
  border-bottom-color: $failColor;
}
